be.fgov.ehealth.dics.core.v4.actual.common

## Class RealActualIngredientKeyType

- java.lang.Object
- - be.fgov.ehealth.dics.core.v4.actual.common.RealActualIngredientKeyType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ConsultRealActualIngredientType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T11:02:11+02:00",
                 comments="JAXB RI v2.3.7")
      public class RealActualIngredientKeyType
      extends Object
      implements Serializable

  Java class for RealActualIngredientKeyType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RealActualIngredientKeyType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="Rank" use="required" type="{urn:be:fgov:ehealth:dics:core:v4:core}PositiveShortType" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealActualIngredientKeyType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getRank()` Gets the value of the rank property.
    `void` | `setRank(short value)` Sets the value of the rank property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RealActualIngredientKeyType

          public RealActualIngredientKeyType()

  - ### Method Detail

    - #### getRank

          public short getRank()

      Gets the value of the rank property.

    - #### setRank

          public void setRank(short value)

      Sets the value of the rank property.

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.